Installing Perl/Tk800.019 on RH6.1 
Author Message
 Installing Perl/Tk800.019 on RH6.1

I'm trying to install Tk800.019 on my RedHat 6.1 linux box.  However, I
keep getting the following error:


perl is installed in /usr/lib/perl5/5.00503/i386-linux okay
PPM for perl5.00503
Test Compiling config/signedchar.c
Test Compiling config/Ksprintf.c
Test Compiling config/tod.c
Test Compiling -DTIMEOFDAY_TZ config/tod.c
TZ gettimeofday()
Using -L/usr/X11R6/lib to find /usr/X11R6/lib/libX11.so.6.1
Cannot find X include files via /usr/X11R6/include
Cannot find X include files anywhere at ./myConfig line 318.
BEGIN failed--compilation aborted at Makefile.PL line 19.

Yet I have LibX11.so.6.1:

/usr/X11R6/lib/libX11.so.6.1
/usr/i486-linux-libc5/lib/libX11.so.6.1
/usr/i586-glibc20-linux/lib/libX11.so.6.1

How do I fix this?  I have a feeling I'm missing something trivial.

- Scott



Wed, 04 Sep 2002 03:00:00 GMT  
 Installing Perl/Tk800.019 on RH6.1

Quote:

> I'm trying to install Tk800.019 on my RedHat 6.1 linux box.  However, I
> keep getting the following error:


> perl is installed in /usr/lib/perl5/5.00503/i386-linux okay
> PPM for perl5.00503
> Test Compiling config/signedchar.c
> Test Compiling config/Ksprintf.c
> Test Compiling config/tod.c
> Test Compiling -DTIMEOFDAY_TZ config/tod.c
> TZ gettimeofday()
> Using -L/usr/X11R6/lib to find /usr/X11R6/lib/libX11.so.6.1
> Cannot find X include files via /usr/X11R6/include
> Cannot find X include files anywhere at ./myConfig line 318.
> BEGIN failed--compilation aborted at Makefile.PL line 19.

> Yet I have LibX11.so.6.1:

But you don't have the X11 include files.

Regards,
        Slaven

--
use Tk;$c=tkinit->Canvas(-he,20)->grid;$x=5;map{s!\n!!g;map{create$c 'line'=>
map{$a=-43+ord;($x+($a>>3)*2=>5+($a&7)*2)}split''}split"!";$x+=12}split/_/=>'K
PI1_+09IPK_K;-OA1_+K!;A__1;Q!7G_1+QK_3CLPI90,_+K!;A_+1!KQ!.N_K+1Q!.F_1+KN.Q__1+
KN._K+1Q!.F_1+KN.Q_+1Q__+1!KQ!.N_1;Q!7G_K3,09Q_+1!K.Q_K+1Q!.F_1+KN.Q_';MainLoop



Wed, 04 Sep 2002 03:00:00 GMT  
 Installing Perl/Tk800.019 on RH6.1
I installed the XFree86-devel package and the build went well.

Thanks,
Scott

Quote:


> > I'm trying to install Tk800.019 on my RedHat 6.1 linux box.  However, I
> > keep getting the following error:


> > perl is installed in /usr/lib/perl5/5.00503/i386-linux okay
> > PPM for perl5.00503
> > Test Compiling config/signedchar.c
> > Test Compiling config/Ksprintf.c
> > Test Compiling config/tod.c
> > Test Compiling -DTIMEOFDAY_TZ config/tod.c
> > TZ gettimeofday()
> > Using -L/usr/X11R6/lib to find /usr/X11R6/lib/libX11.so.6.1
> > Cannot find X include files via /usr/X11R6/include
> > Cannot find X include files anywhere at ./myConfig line 318.
> > BEGIN failed--compilation aborted at Makefile.PL line 19.

> > Yet I have LibX11.so.6.1:

> But you don't have the X11 include files.

> Regards,
>         Slaven

> --
> use Tk;$c=tkinit->Canvas(-he,20)->grid;$x=5;map{s!\n!!g;map{create$c 'line'=>
> map{$a=-43+ord;($x+($a>>3)*2=>5+($a&7)*2)}split''}split"!";$x+=12}split/_/=>'K
> PI1_+09IPK_K;-OA1_+K!;A__1;Q!7G_1+QK_3CLPI90,_+K!;A_+1!KQ!.N_K+1Q!.F_1+KN.Q__1+
> KN._K+1Q!.F_1+KN.Q_+1Q__+1!KQ!.N_1;Q!7G_K3,09Q_+1!K.Q_K+1Q!.F_1+KN.Q_';MainLoop

--
Never do Windows again with  |  Scott M. Nolde

glaze!                       |  
11:45am up 6 days, 18:52, 1 user, load average: 1.85, 1.30, 1.11


Wed, 04 Sep 2002 03:00:00 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. building Tk800.019 on Win32

2. Warnings for HP-UX 11.00 Tk800.019

3. Perl Reference Guide 4.019.1 [PostScript Kit] (part 4 of 4)

4. Perl Reference Guide 4.019.1 [PostScript Kit] (part 3 of 4)

5. Perl Reference Guide 4.019.1 [PostScript Kit] (part 1 of 4)

6. Perl Reference Guide 4.019.1 [PostScript Kit] (part 2 of 4)

7. Perl Reference Guide 4.019.1 [LaTeX Kit] (part 3 of 3)

8. Perl Reference Guide 4.019.1 [LaTeX Kit] (part 2 of 3)

9. Perl Reference Guide 4.019.1 [LaTeX Kit] (part 1 of 3)

10. Perl Reference Guide 4.019.1 [LaTeX Kit] (part 0 of 3)

11. Perl Reference Guide 4.019.1 [PostScript Kit] (part 0 of 4)

12. perl-4.019 fails under A/UX with gcc

 

 
Powered by phpBB® Forum Software